tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Enum ChatItem.Type

- java.lang.Object
- - java.lang.Enum<ChatItem.Type>
  - - tigase.jaxmpp.core.client.xmpp.modules.xep0136.ChatItem.Type

- All Implemented Interfaces:
    Serializable, Comparable<ChatItem.Type>
  Enclosing class:
    ChatItem

      public static enum ChatItem.Type
      extends Enum<ChatItem.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FROM`
    `TO`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChatItem.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChatItem.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FROM

          public static final ChatItem.Type FROM

    - #### TO

          public static final ChatItem.Type TO

  - ### Method Detail

    - #### values

          public static ChatItem.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChatItem.Type c : ChatItem.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChatItem.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2019 Tigase. All rights reserved.